
Redmine - Patch #24837

Bulk update issues with author

2017-01-16 08:55 - Marcin Świątkiewicz

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Description

It would be nice, to add option to bulk update many different issues with option 'assigned to author'.

Below is my diff with this feature.

History

#1 - 2017-01-16 09:49 - Marcin Świątkiewicz

- File test.diff added

Here is test for this feature

#2 - 2017-01-17 08:34 - Marcin Świątkiewicz

- File author.diff added

There was an mistake. Below is fixed diff.

#3 - 2017-01-18 01:00 - Go MAEDA

- Status changed from New to Needs feedback

The patch author.diff cannot be cleanly applied to both trunk and 3.3-stable.

What version of Redmine do you use?

trunk (3.3.2.devel.16217):

$ patch -p1 < author.diff

patching file app/controllers/issues_controller.rb

Hunk #1 succeeded at 294 (offset 19 lines).

Hunk #2 FAILED at 308.

1 out of 2 hunks FAILED -- saving rejects to file app/controllers/issues_controller.rb.rej

patching file test/functional/issues_controller_test.rb

Hunk #1 succeeded at 4379 with fuzz 1 (offset 175 lines).

 3.3-stable:

$ patch -p1 < author.diff

patching file app/controllers/issues_controller.rb

Hunk #1 succeeded at 282 (offset 7 lines).

Hunk #2 FAILED at 296.

1 out of 2 hunks FAILED -- saving rejects to file app/controllers/issues_controller.rb.rej

patching file test/functional/issues_controller_test.rb

Hunk #1 succeeded at 4439 with fuzz 1 (offset 235 lines).

#4 - 2017-01-18 10:17 - Marcin Świątkiewicz

My redmine version: 3.3.2.

#5 - 2017-01-18 16:09 - Marcin Świątkiewicz

- File 3.3-stable.diff added

Here is my diff for 3.3-stable from github.

My formatter also removes white characters from _test file.
#6 - 2017-02-09 05:05 - Toshi MARUYAMA

Could you make patch to trunk?

Files

assigned_to_author.diff 1.55 KB 2017-01-16 Marcin Świątkiewicz

test.diff 496 Bytes 2017-01-16 Marcin Świątkiewicz

author.diff 1.75 KB 2017-01-17 Marcin Świątkiewicz

3.3-stable.diff 12.3 KB 2017-01-18 Marcin Świątkiewicz
